Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007491TestLinkTest Execute - 'Save and move to next'public2016-03-30 11:412016-09-08 15:13
Reporteratisne 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGFASOSCentOS/RedHatOS Version5
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007491: No warning displayed if the execution is not saved when using 'Save and move to next'
DescriptionThe behavior is not the same in case of incomplete data between the button 'Save execution' and 'Save and move to next'.
When execution data is incomplete, when using the button 'Save execution', a message is displayed to the user to warn that nothing will be saved.
When using the button 'Save and move to next', there is no warning. Nothing is saved and the next execution is displayed.

The treatment of the case of incomplete data should be the same for the both actions.
Steps To Reproduce1- Execute a test case
2- Keep the main result blank
3- Click on 'Save execution'
-> A warning is displayed, we stay on the same page
4- Click on 'Save and move to next'
-> We move to the next execution
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgresql
BrowserFirefox
PHP VersionPHP 5.4.45
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024663)
fman (administrator)
2016-04-01 18:27

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/6006aeaf44486a7fe6fea856f8d39531d99bdc98 [^]
(0025264)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-03-30 11:41 atisne New Issue
2016-04-01 18:27 fman Note Added: 0024663
2016-04-01 18:28 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-04-01 18:28 fman Status new => resolved
2016-04-01 18:28 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-01 18:28 fman Resolution open => fixed
2016-04-01 18:28 fman Assigned To => fman
2016-04-01 18:28 fman Relationship added child of 0007262
2016-09-08 15:13 fman Note Added: 0025264
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker